# Class MemoryRenderingElement

java.lang.Object
org.eclipse.debug.ui.memory.MemoryRenderingElement

public class MemoryRenderingElement extends Object
A memory rendering element represents a set of memory bytes being rendered in a memory rendering. Instances of this class are passed to a rendering's label provider, color provider, and font provider to be rendered.

Clients may instantiate this class. Clients may subclass this class to add other members / settings as required by a rendering.

Since:
  3.1

## Constructor Summary

Constructors
Constructor
Description
`MemoryRenderingElement(IMemoryRendering rendering, BigInteger address, MemoryByte[] bytes)`
Constructs a new memory rendering element for the given rendering and specified bytes.

## Method Summary

Modifier and Type
Method
Description
`BigInteger`
`getAddress()`
Returns the address at which bytes are being rendered.
`MemoryByte[]`
`getBytes()`
Returns the memory bytes being rendered.
`IMemoryRendering`
`getRendering()`
Returns the memory rendering in which bytes are being rendered.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MemoryRenderingElement

public MemoryRenderingElement(IMemoryRendering rendering, BigInteger address, MemoryByte[] bytes)
Constructs a new memory rendering element for the given rendering and specified bytes.

Parameters:
  `rendering` - the rendering containing the memory block being rendered
  `address` - the address at which the rendering is taking place
  `bytes` - the memory bytes being rendered

## Method Details

### getRendering

public IMemoryRendering getRendering()
Returns the memory rendering in which bytes are being rendered.

Returns:
  the memory rendering in which bytes are being rendered

### getAddress

public BigInteger getAddress()
Returns the address at which bytes are being rendered.

Returns:
  the address at which bytes are being rendered

### getBytes

public MemoryByte[] getBytes()
Returns the memory bytes being rendered.

Returns:
  the memory bytes being rendered